XmStringInitContext(3Xm)

NAME
XmStringInitContext — a compound string function that allows applications to read out the content segment by segment.

SYNOPSIS
#include <Xm/Xm.h>

Boolean XmStringInitContext (context, string)
    XmStringContext    * context;
    XmString    string;

DESCRIPTION
XmStringInitContext maintains a context to allow applications to read out the contents of a compound string segment by segment. This function establishes the context for this read out. This context is used when reading subsequent segments out of the string. A Boolean status is returned to indicate if the input string was able to be parsed.

context
    Specifies a pointer to the allocated context.

string
    Specifies the string.

RETURN VALUE
Returns True if the context was allocated.

RELATED INFORMATION
XmStringCreate(3Xm).